VerifyException
Date: 2016-05-24

com.google.common.base

## Class VerifyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.common.base.VerifyException

- All Implemented Interfaces:
    java.io.Serializable

      @Beta
      @GwtCompatible
      public class VerifyException
      extends java.lang.RuntimeException

  Exception thrown upon the failure of a verification check, including those performed by the convenience methods of the `Verify` class.
  Since:
    17.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyException()` Constructs a `VerifyException` with no message.
    `VerifyException(java.lang.String message)` Constructs a `VerifyException` with the message `message`.
    `VerifyException(java.lang.String message, java.lang.Throwable cause)` Constructs a `VerifyException` with the message `message` and the cause `cause`.
    `VerifyException(java.lang.Throwable cause)` Constructs a `VerifyException` with the cause `cause` and a message that is `null` if `cause` is null, and `cause.toString()` otherwise.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VerifyException

          public VerifyException()

      Constructs a `VerifyException` with no message.

    - #### VerifyException

          public VerifyException(@Nullable
                         java.lang.String message)

      Constructs a `VerifyException` with the message `message`.

    - #### VerifyException

          public VerifyException(@Nullable
                         java.lang.Throwable cause)

      Constructs a `VerifyException` with the cause `cause` and a message that is `null` if `cause` is null, and `cause.toString()` otherwise.
      Since:
        19.0

    - #### VerifyException

          public VerifyException(@Nullable
                         java.lang.String message,
                         @Nullable
                         java.lang.Throwable cause)

      Constructs a `VerifyException` with the message `message` and the cause `cause`.
      Since:
        19.0